
/*
 * UTIL/DPRIMETHOSTCACHE.C
 *
 * Prime the host cache file from diablo.hosts
 *
 * (c)Copyright 1997, Matthew Dillon, All Rights Reserved.  Refer to
 *    the COPYRIGHT file in the base directory of this distribution 
 *    for specific rights granted.
 */

#include "defs.h"

int
main(int ac, char **av)
{
    openlog("dprimehostcache", LOG_PID|LOG_NDELAY, LOG_NEWS);
    
    LoadDiabloConfig(ac, av);

    if (ac > 0) {
	if (av[1]) {
	    DiabloHostsPat = av[1];
	    if (av[2])
		DHostsCachePat = av[2];
	}
    }

    printf("Loading diablo hosts cache from: %s\n",
		PatLibExpand(DiabloHostsPat));
    printf("Storing cache data into : %s\n",
		PatDbExpand(DHostsCachePat));

    LoadHostAccess(0, 1, 0);

    printf("Complete.\n");
    return(0);
}

